<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ftebox.dao.BloggerDao">
    <resultMap id="BloggerResult" type="Blogger">
        <result property="id" column="id"/>
        <result property="userName" column="userName"/>
        <result property="password" column="password"/>
        <result property="nickName" column="nickName"/>
        <result property="sign" column="sign"/>
        <result property="profile" column="profile"/>
        <result property="imageName" column="imageName"/>
    </resultMap>
    <select id="getByUserName" parameterType="String" resultMap="BloggerResult">
        select * from  t_blogger where userName=#{userName}
    </select>

</mapper>